RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2101607 - forward_port should accept list of string or list of dict
Summary: forward_port should accept list of string or list of dict
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rhel-system-roles
Version: 8.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.7
Assignee: Rich Megginson
QA Contact: David Jež
Gabi Fialová
URL:
Whiteboard: role:firewall
Depends On: 2100605
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-27 22:28 UTC by Rich Megginson
Modified: 2023-02-07 07:54 UTC (History)
6 users (show)

Fixed In Version: rhel-system-roles-1.20.0-1.el8
Doc Type: Bug Fix
Doc Text:
.The `forward_port` parameter now accepts both the `string` and `dict` option Previously, in the `firewall` RHEL System role, the `forward_port` parameter only accepted the `string` option. However, the role documentation claimed that both `string` *and* `dict` options were supported. Consequently, the users reading and following the documentation were getting an error. This bug has been fixed by making `forward_port` accept both options. As a result, the users can safely follow the documentation to configure port forwarding.
Clone Of: 2100605
Environment:
Last Closed: 2022-11-08 09:41:52 UTC
Type: ---
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-126414 0 None None None 2023-02-07 07:54:46 UTC
Red Hat Product Errata RHEA-2022:7568 0 None None None 2022-11-08 09:42:09 UTC

Description Rich Megginson 2022-06-27 22:28:47 UTC
+++ This bug was initially created as a clone of Bug #2100605 +++

forward_port only accepts the string form at https://github.com/linux-system-roles/firewall#forward_port - it should accept the dict form too

Comment 13 errata-xmlrpc 2022-11-08 09:41:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (rhel-system-roles bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2022:7568


Note You need to log in before you can comment on or make changes to this bug.